// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor;

import java.net.MalformedURLException;
import java.net.URL;

import org.apache.log4j.Logger;
import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.ui.PartInitException;
import org.eclipse.ui.PlatformUI;
import org.eclipse.ui.browser.IWorkbenchBrowserSupport;

/**
 * <p>OpenExternalHelpHandler class.</p>
 *
 * @author p.ciardelli
 * @created 04.09.2009
 * @version 1.0
 */
public class OpenExternalHelpHandler extends AbstractHandler {
	private static final Logger logger = Logger.getLogger(OpenExternalHelpHandler.class);

	/* (non-Javadoc)
	 * @see org.eclipse.core.commands.IHandler#execute(org.eclipse.core.commands.ExecutionEvent)
	 */
	/** {@inheritDoc} */
	public Object execute(ExecutionEvent event) throws ExecutionException {
		String url = "http://wp5.e-taxonomy.eu/download/taxeditor/stable/EDITTaxonomicEditor-UserManual.pdf";
	
		try {
			PlatformUI.getWorkbench().getBrowserSupport().createBrowser
						(IWorkbenchBrowserSupport.AS_EXTERNAL, "aCustomId", "url", "url").openURL(new URL(url));
		} catch (PartInitException e) {
			logger.error(e);
			throw new RuntimeException(e);
		} catch (MalformedURLException e) {
			logger.error(e);
			throw new RuntimeException(e);
		}

		return null;
	}
}
