// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.bulkeditor;

import java.util.Comparator;

import eu.etaxonomy.cdm.api.service.config.IIdentifiableEntityServiceConfigurator;
import eu.etaxonomy.cdm.api.service.config.IdentifiableServiceConfiguratorFactory;
import eu.etaxonomy.cdm.model.common.IdentifiableEntity;

/**
 * @author n.hoffmann
 * @created Dec 14, 2010
 * @version 1.0
 */
public class BulkEditorQuery {
		
	private String searchString;
	private Comparator comparator;
	private IIdentifiableEntityServiceConfigurator searchConfigurator;

	public BulkEditorQuery (String searchString, Comparator comparator) {
		this.searchString = searchString;
		this.comparator = comparator;
		
		searchConfigurator = IdentifiableServiceConfiguratorFactory.getConfigurator(IdentifiableEntity.class);
		searchConfigurator.setTitleSearchString(searchString);
		searchConfigurator.setMatchMode(null);
		
		if(searchString != null && searchString.trim().equals("*")){
			searchConfigurator.setPageSize(1000);
		}
		
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.bulkeditor.IBulkEditorQuery#getComparator()
	 */
	public Comparator getComparator() {
		return comparator;
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.bulkeditor.IBulkEditorQuery#getSearchString()
	 */
	public String getSearchString() {
		return searchString;
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.bulkeditor.IBulkEditorQuery#getSearchConfigurator()
	 */
	public IIdentifiableEntityServiceConfigurator getSearchConfigurator() {
		return searchConfigurator;
	}
}
