// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.navigation.navigator;

import org.apache.log4j.Logger;
import org.eclipse.jface.viewers.ITreeContentProvider;
import org.eclipse.jface.viewers.Viewer;

import eu.etaxonomy.cdm.model.taxon.Classification;

/**
 * <p>ClassificationContentProvider class.</p>
 *
 * @author n.hoffmann
 * @created 17.06.2009
 * @version 1.0
 */
public class ClassificationContentProvider implements ITreeContentProvider {
	private static final Logger logger = Logger
			.getLogger(ClassificationContentProvider.class);

	/* (non-Javadoc)
	 * @see org.eclipse.jface.viewers.ITreeContentProvider#getChildren(java.lang.Object)
	 */
	/** {@inheritDoc} */
	public Object[] getChildren(Object parentElement) {
		if (parentElement instanceof Root) {
			return ((Root) parentElement).getParentBeans().toArray();
		}else if(parentElement instanceof Classification){
			return ((Classification) parentElement).getChildNodes().toArray();
		}
		

		return new Object[0];
	}

	/* (non-Javadoc)
	 * @see org.eclipse.jface.viewers.ITreeContentProvider#getParent(java.lang.Object)
	 */
	/** {@inheritDoc} */
	public Object getParent(Object element) {
		return null;
	}

	/* (non-Javadoc)
	 * @see org.eclipse.jface.viewers.ITreeContentProvider#hasChildren(java.lang.Object)
	 */
	/** {@inheritDoc} */
	public boolean hasChildren(Object element) {
		return this.getChildren(element).length > 0;
	}

	/* (non-Javadoc)
	 * @see org.eclipse.jface.viewers.IStructuredContentProvider#getElements(java.lang.Object)
	 */
	/** {@inheritDoc} */
	public Object[] getElements(Object inputElement) {
		return this.getChildren(inputElement);
	}

	/* (non-Javadoc)
	 * @see org.eclipse.jface.viewers.IContentProvider#dispose()
	 */
	/**
	 * <p>dispose</p>
	 */
	public void dispose() {
	}

	/* (non-Javadoc)
	 * @see org.eclipse.jface.viewers.IContentProvider#inputChanged(org.eclipse.jface.viewers.Viewer, java.lang.Object, java.lang.Object)
	 */
	/** {@inheritDoc} */
	public void inputChanged(Viewer viewer, Object oldInput, Object newInput) {
	}
}
