// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.navigation.navigator;

import org.apache.log4j.Logger;
import org.eclipse.jface.viewers.ColumnLabelProvider;
import org.eclipse.jface.viewers.DelegatingStyledCellLabelProvider.IStyledLabelProvider;
import org.eclipse.jface.viewers.ILabelProvider;
import org.eclipse.jface.viewers.StyledString;
import org.eclipse.swt.graphics.Image;
import org.eclipse.ui.navigator.IDescriptionProvider;

import eu.etaxonomy.cdm.hibernate.HibernateProxyHelper;
import eu.etaxonomy.cdm.model.common.LanguageString;
import eu.etaxonomy.cdm.model.taxon.Classification;

/**
 * <p>ClassificationLabelProvider class.</p>
 *
 * @author n.hoffmann
 * @created 17.06.2009
 * @version 1.0
 */
public class ClassificationLabelProvider extends ColumnLabelProvider 
implements ILabelProvider, IDescriptionProvider, IStyledLabelProvider {
	private static final Logger logger = Logger
			.getLogger(ClassificationLabelProvider.class);
	
	/* (non-Javadoc)
	 * @see org.eclipse.jface.viewers.ColumnLabelProvider#getImage(java.lang.Object)
	 */
	/** {@inheritDoc} */
	@Override
	public Image getImage(Object element) {
		return null;
	}

	/* (non-Javadoc)
	 * @see org.eclipse.jface.viewers.ColumnLabelProvider#getText(java.lang.Object)
	 */
	/** {@inheritDoc} */
	@Override
	public String getText(Object element) {
		if(element instanceof Classification){
			String text = ((Classification) element).getName().getText();
			return text != null ? text : "Unnamed Taxonomic Tree";
		}
		return new String();
	}
	
	/* (non-Javadoc)
	 * @see org.eclipse.ui.navigator.IDescriptionProvider#getDescription(java.lang.Object)
	 */
	/** {@inheritDoc} */
	public String getDescription(Object anElement) {
		if (anElement instanceof Classification) {
			return "Taxonomic Tree: " +  ((Classification) anElement).getTitleCache(); //$NON-NLS-1$
		}
		return null;
	}

	/* (non-Javadoc)
	 * @see org.eclipse.jface.viewers.DelegatingStyledCellLabelProvider.IStyledLabelProvider#getStyledText(java.lang.Object)
	 */
	/** {@inheritDoc} */
	public StyledString getStyledText(Object element) {
		return new StyledString(getText(element), StyledString.DECORATIONS_STYLER);
	}
}
