// $Id$
/**
* Copyright (C) 2009 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.editor.definedterm.input;

import org.eclipse.ui.IEditorInput;

import eu.etaxonomy.cdm.model.common.DefinedTermBase;
import eu.etaxonomy.cdm.model.common.ExtensionType;
import eu.etaxonomy.cdm.model.common.MarkerType;
import eu.etaxonomy.cdm.model.description.Feature;
import eu.etaxonomy.cdm.model.description.Modifier;
import eu.etaxonomy.cdm.model.description.State;
import eu.etaxonomy.cdm.model.location.NamedArea;
import eu.etaxonomy.cdm.model.location.NamedAreaLevel;

/**
 * @author l.morris
 * @date 3 Jan 2012
 *
 */
public class DefinedTermEditorInputFactory {

//	public static final String NamedArea = "eu.etaxonomy.taxeditor.editor.namedArea";

	/**
	 * @param clazz
	 * @return
	 */
	public static IEditorInput NewInstance(Class<? extends DefinedTermBase> clazz) {
		if(clazz == NamedArea.class){
			return new NamedAreaEditorInput();
		} 
		if (clazz == NamedAreaLevel.class){
			return new NamedAreaLevelEditorInput();
		}
		if (clazz == ExtensionType.class){
			return new ExtensionTypeEditorInput();
		}
		if (clazz == MarkerType.class){
			return new MarkerTypeEditorInput();
		}
		if (clazz == Feature.class){
			return new FeatureEditorInput();
		}
		if (clazz == State.class){
			return new StateEditorInput();
		}
		if (clazz == Modifier.class){
			return new ModifierEditorInput();
		}
		
		return null;
	}

}
