// $Id$
/**
* Copyright (C) 2009 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.editor.definedterm.input;

import java.util.Arrays;
import java.util.List;

import eu.etaxonomy.cdm.model.location.NamedAreaLevel;

/**
 * @author l.morris
 * @date 4 Jan 2012
 *
 */
public class NamedAreaLevelEditorInput extends AbstractDefinedTermEditorInput<NamedAreaLevel> {

	
	private List<String> termClasses = Arrays.asList(new String[]{
			NamedAreaLevel.class.getName()
	});
	
	/* (non-Javadoc)
	 * @see org.eclipse.ui.IEditorInput#getName()
	 */
	@Override
	public String getName() {
		return "Named Area Level";
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.editor.definedterm.AbstractDefinedTermEditorInput#getTermClasses()
	 */
	@Override
	public List<String> getTermClasses() {
		return termClasses;
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.editor.definedterm.AbstractDefinedTermEditorInput#createTermInstance()
	 */
	@Override
	public NamedAreaLevel createTermInstance() {
		return NamedAreaLevel.NewInstance();
	}

}
