// $Id$
/**
 * Copyright (C) 2007 EDIT
 * European Distributed Institute of Taxonomy 
 * http://www.e-taxonomy.eu
 * 
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */

package eu.etaxonomy.taxeditor.io.wizard;

import java.io.File;

import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.ui.IWorkbench;

import eu.etaxonomy.cdm.io.dwca.out.DwcaTaxExportConfigurator;
import eu.etaxonomy.taxeditor.store.CdmStore;

/**
 * @author n.hoffmann
 * @created May 2, 2011
 * @version 1.0
 */
public class DarwinCoreArchiveExportWizard extends
		AbstractExportWizard<DwcaTaxExportConfigurator> {

	private DwcaTaxExportConfigurator configurator;
	private ExportToFileDestinationWizardPage page;

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.ui.IWorkbenchWizard#init(org.eclipse.ui.IWorkbench,
	 * org.eclipse.jface.viewers.IStructuredSelection)
	 */
	@Override
	public void init(IWorkbench workbench, IStructuredSelection selection) {
		configurator = DwcaTaxExportConfigurator.NewInstance(null, null, null);
	}
 
	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * eu.etaxonomy.taxeditor.io.wizard.AbstractExportWizard#getConfigurator()
	 */
	@Override
	public DwcaTaxExportConfigurator getConfigurator() {
		return configurator;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.jface.wizard.Wizard#performFinish()
	 */
	@Override
	public boolean performFinish() {
		String urlString = page.getFolderText() + File.separator
				+ page.getExportFileName();

		configurator.setDestination(new File(urlString));

		CdmStore.getExportManager().run(configurator);

		return true;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see eu.etaxonomy.taxeditor.io.wizard.AbstractExportWizard#addPages()
	 */
	@Override
	public void addPages() {
		super.addPages();

		page = ExportToFileDestinationWizardPage.Dwca();
		addPage(page);
	}
}
