// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.model;

import eu.etaxonomy.cdm.hibernate.HibernateProxyHelper;
import eu.etaxonomy.cdm.model.agent.Person;
import eu.etaxonomy.cdm.model.agent.Team;

/**
 * <p>AuthorHelper class.</p>
 *
 * @author n.hoffmann
 * @created Sep 8, 2010
 * @version 1.0
 */
public class AuthorHelper {
	
	/**
	 * <p>getAuthor</p>
	 *
	 * @param object a {@link java.lang.Object} object.
	 * @return a {@link eu.etaxonomy.cdm.model.agent.Team} object.
	 */
	public static Team getAuthor(Object object){
		if(object == null){
			return null;
		}
		Object deproxiedObject = HibernateProxyHelper.deproxy(object);
		if(deproxiedObject instanceof Person){
			Person person = (Person) deproxiedObject;
			Team team = Team.NewInstance();
			team.addTeamMember(person);
			return team;
		}
		else if(deproxiedObject instanceof Team){
			return (Team) deproxiedObject;
		}else{
			throw new IllegalArgumentException("Given object os of the wrong type");
		}
	}
}
