// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.store;

import java.util.UUID;

import org.eclipse.core.commands.operations.IOperationHistory;
import org.eclipse.core.commands.operations.IUndoContext;
import org.eclipse.core.runtime.IStatus;
import org.eclipse.jface.action.IStatusLineManager;
import org.eclipse.ui.IEditorInput;
import org.eclipse.ui.IEditorPart;

import eu.etaxonomy.cdm.model.common.TermBase;
import eu.etaxonomy.taxeditor.model.AbstractUtility;
import eu.etaxonomy.taxeditor.store.internal.TaxeditorStorePlugin;

/**
 * <p>StoreUtil class.</p>
 *
 * @author n.hoffmann
 * @created 11.05.2009
 * @version 1.0
 */
public class StoreUtil extends AbstractUtility {

	/**
	 * <p>checktaxonExists</p>
	 *
	 * @param fromString a {@link java.util.UUID} object.
	 */
	public static void checktaxonExists(UUID fromString) {
//        if (CdmStore.getTaxonService().getTaxonByUuid(UUID.fromString(uuid)) == null) {
//        	logger.warn("Couldn't find taxon with UUID " + uuid);
//        	return null;
//        }
	}
	
	/**
	 * <p>getOperationHistory</p>
	 *
	 * @return a {@link org.eclipse.core.commands.operations.IOperationHistory} object.
	 */
	public static IOperationHistory getOperationHistory() {
		return TaxeditorStorePlugin.getDefault().getWorkbench().
					getOperationSupport().getOperationHistory();
	}
	
	/**
	 * <p>setStatusLineManager</p>
	 *
	 * @param manager a {@link org.eclipse.jface.action.IStatusLineManager} object.
	 */
	public static void setStatusLineManager(IStatusLineManager manager) {
		statusLineManager = manager;
	}
	

	/**
	 * <p>getUndoContext</p>
	 *
	 * @return a {@link org.eclipse.core.commands.operations.IUndoContext} object.
	 */
	public static IUndoContext getUndoContext(){
		return IOperationHistory.GLOBAL_UNDO_CONTEXT;
	}
	
	/**
	 * <p>getPluginId</p>
	 *
	 * @return a {@link java.lang.String} object.
	 */
	public static String getPluginId(){
		return TaxeditorStorePlugin.PLUGIN_ID;
	}

	/**
	 * 
	 * @return
	 */
	public static IEditorInput getActiveEditorInput() {
		IEditorPart activeEditor = getActiveEditor();
		if (activeEditor != null){
			return activeEditor.getEditorInput();
		}
		return null;
	}
}
