package eu.etaxonomy.taxeditor.store.internal;

import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.jface.resource.ImageRegistry;
import org.eclipse.ui.plugin.AbstractUIPlugin;
import org.osgi.framework.BundleContext;

import eu.etaxonomy.taxeditor.preference.PreferencesUtil;

/**
 * The activator class controls the plug-in life cycle
 *
 * @author n.hoffmann
 * @version $Id: $
 */
public class TaxeditorStorePlugin extends AbstractUIPlugin {
	
	// The plug-in ID
	/** Constant <code>PLUGIN_ID="eu.etaxonomy.taxeditor.editor"</code> */
	public static final String PLUGIN_ID = "eu.etaxonomy.taxeditor.editor";

	// The shared instance
	private static TaxeditorStorePlugin plugin;
	
	/**
	 * The constructor
	 */
	public TaxeditorStorePlugin() {
	}

	/*
	 * (non-Javadoc)
	 * @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
	 */
	/** {@inheritDoc} */
	public void start(BundleContext context) throws Exception {
		super.start(context);
		
		plugin = this;

		PreferencesUtil.setDefaults();
	}

	/*
	 * (non-Javadoc)
	 * @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
	 */
	/** {@inheritDoc} */
	public void stop(BundleContext context) throws Exception {
		plugin = null;
		super.stop(context);
	}

	/**
	 * Returns the shared instance
	 *
	 * @return the shared instance
	 */
	public static TaxeditorStorePlugin getDefault() {
		return plugin;
	}
	
	/**
	 * Returns an image descriptor for the image file at the given
	 * plug-in relative path
	 *
	 * @param path the path
	 * @return the image descriptor
	 */
	public static ImageDescriptor getImageDescriptor(String path) {
		return imageDescriptorFromPlugin(PLUGIN_ID, path);
	}
	
	
	/**
	 * Exposes this normally protected method.
	 *
	 * @return a {@link org.eclipse.jface.resource.ImageRegistry} object.
	 */
	public ImageRegistry createImageRegistry(){
		return super.createImageRegistry();
	}
}
