// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.ui.element;


/**
 * <p>IErrorIntolerableElement interface.</p>
 *
 * @author n.hoffmann
 * @created Oct 26, 2010
 * @version 1.0
 */
public interface IErrorIntolerableElement {

	/**
	 * <p>addExceptionHandler</p>
	 *
	 * @param handler a {@link eu.etaxonomy.taxeditor.ui.element.IExceptionHandler} object.
	 */
	public void addExceptionHandler(IExceptionHandler handler);
	
	/**
	 * <p>removeExceptionHandler</p>
	 *
	 * @param handler a {@link eu.etaxonomy.taxeditor.ui.element.IExceptionHandler} object.
	 */
	public void removeExceptionHandler(IExceptionHandler handler);

	/**
	 * <p>exceptionOccurred</p>
	 *
	 * @param event a {@link eu.etaxonomy.taxeditor.ui.element.CdmPropertyChangeEvent} object.
	 */
	public void exceptionOccurred(CdmPropertyChangeEvent event);
	
	
	
}
