// $Id$
/**
 * Copyright (C) 2007 EDIT
 * European Distributed Institute of Taxonomy 
 * http://www.e-taxonomy.eu
 * 
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */

package eu.etaxonomy.taxeditor.ui.element;

import org.eclipse.jface.util.PropertyChangeEvent;

import eu.etaxonomy.cdm.model.description.KeyStatement;

/**
 * @author n.hoffmann
 * @created Dec 3, 2010
 * @version 1.0
 */
public class KeyStatementElement extends MultilanguageTextElement {

	private KeyStatement keyStatement;

	/**
	 * @param formFactory
	 * @param formElement
	 */
	public KeyStatementElement(CdmFormFactory formFactory,
			ICdmFormElement formElement, String labelString,
			KeyStatement keyStatement, int textHeight, int style) {
		super(formFactory, formElement, labelString, null, textHeight, style);
		setKeyStatement(keyStatement);
	}

	/**
	 * @param keyStatement
	 *            the keyStatement to set
	 */
	public void setKeyStatement(KeyStatement keyStatement) {
		this.keyStatement = keyStatement;
		if (keyStatement != null) {
			setMultilanguageText(keyStatement.getLabel());
		}
	}

	/**
	 * @return the keyStatement
	 */
	public KeyStatement getKeyStatement() {
		return keyStatement;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * eu.etaxonomy.taxeditor.ui.forms.MultilanguageTextElement#propertyChange
	 * (org.eclipse.jface.util.PropertyChangeEvent)
	 */
	@Override
	public void propertyChange(PropertyChangeEvent event) {
		if (event == null) {
			return;
		}
		if (keyStatement == null) {
			Object eventSource = event.getSource();
			if (eventSource == element_languageString) {
				setKeyStatement(KeyStatement.NewInstance());
			}
		}
		super.propertyChange(event);
	}

}
