// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.ui.section.description;

import org.eclipse.jface.viewers.ISelectionProvider;
import org.eclipse.ui.forms.widgets.Section;
import org.eclipse.ui.forms.widgets.TableWrapLayout;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.media.Media;
import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory.DetailType;
import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailSection;
import eu.etaxonomy.taxeditor.ui.section.media.MediaElement;

/**
 * <p>MediaDetailsSection class.</p>
 *
 * @author n.hoffmann
 * @created Jun 15, 2010
 * @version 1.0
 */
public class MediaDetailsSection extends AbstractCdmDetailSection<Media> {

	private MediaElement element_media;

	/**
	 * <p>Constructor for MediaDetailsSection.</p>
	 *
	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.element.CdmFormFactory} object.
	 * @param conversation a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder} object.
	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.element.ICdmFormElement} object.
	 * @param selectionProvider a {@link org.eclipse.jface.viewers.ISelectionProvider} object.
	 * @param style a int.
	 */
	public MediaDetailsSection(CdmFormFactory formFactory, ConversationHolder conversation,
			ICdmFormElement parentElement,
			ISelectionProvider selectionProvider, int style) {
		super(formFactory, conversation, parentElement, selectionProvider, style);
	}
	
	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.section.AbstractCdmDetailSection#getDetailType()
	 */
	/** {@inheritDoc} */
	@Override
	protected DetailType getDetailType() {
		return null;
	}
	
	/** {@inheritDoc} */
	@Override
	protected void createControls(AbstractCdmDetailSection formElement,
			int style) {
		TableWrapLayout layout = (TableWrapLayout) getLayoutComposite().getLayout();
		layout.topMargin = 10;
		layout.numColumns = 2;
		
		getLayoutComposite().setLayout(layout);
		
		
	}
	
	/**
	 * <p>setEntity</p>
	 *
	 * @param entity a {@link eu.etaxonomy.cdm.model.media.Media} object.
	 */
	public void setEntity(Media entity) {
		if(element_media != null){
			this.removeElements();
		}
		element_media = (MediaElement) formFactory.createEntityCollectionElement(this, entity, null, null, Section.EXPANDED);
		formFactory.addPropertyChangeListener(element_media);
		super.setEntity(entity);
		setSectionTitle();
		layout();
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.section.AbstractCdmDetailSection#getHeading()
	 */
	/** {@inheritDoc} */
	@Override
	public String getHeading() {
		return "Image";
	}
}
