/**
 * 
 */
package eu.etaxonomy.taxeditor.ui.section.key;

import java.util.Collection;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.description.IIdentificationKey;
import eu.etaxonomy.cdm.model.location.NamedArea;
import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionSection;

/**
 * @author n.hoffmann
 *
 */
public class GeographicalScopeDetailSection extends
	AbstractEntityCollectionSection<IIdentificationKey, NamedArea> {

	public GeographicalScopeDetailSection(CdmFormFactory formFactory,
			ConversationHolder conversation, ICdmFormElement parentElement, int style) {
		super(formFactory, conversation, parentElement, "Geographical Scope", style);
	}

	@Override
	public Collection<NamedArea> getCollection(IIdentificationKey entity) {
		return entity.getGeographicalScope();
	}

	@Override
	public NamedArea createNewElement() {
		return NamedArea.NewInstance();
	}

	@Override
	public void addElement(NamedArea element) {
		getEntity().addGeographicalScope(element);
	}

	@Override
	public void removeElement(NamedArea element) {
		getEntity().removeGeographicalScope(element);
	}

	@Override
	public String getEmptyString() {
		return "No geographical scopes yet.";
	}

	@Override
	protected String getTooltipString() {
		return "Add a geographical scope";
	}

}
