/**
 * 
 */
package eu.etaxonomy.taxeditor.ui.section.media;

import java.util.Collection;


import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.media.IdentifiableMediaEntity;
import eu.etaxonomy.cdm.model.media.Media;
import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionSection;

/**
 * <p>MediaSection class.</p>
 *
 * @author nho
 * @version $Id: $
 */
public class MediaSection extends AbstractEntityCollectionSection<IdentifiableMediaEntity, Media>{

	/**
	 * <p>Constructor for MediaSection.</p>
	 *
	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.element.ICdmFormElement} object.
	 * @param style a int.
	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.ui.element.CdmFormFactory} object.
	 * @param conversation a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder} object.
	 */
	public MediaSection(CdmFormFactory cdmFormFactory, ConversationHolder conversation, ICdmFormElement parentElement, int style) {
		super(cdmFormFactory, conversation, parentElement, "Media", style);
	}

	/** {@inheritDoc} */
	@Override
	public Media createNewElement() {
		return Media.NewInstance();
	}

	/** {@inheritDoc} */
	@Override
	public Collection<Media> getCollection(IdentifiableMediaEntity entity) {
		return entity.getMedia();
	}

	/** {@inheritDoc} */
	@Override
	public String getEmptyString() {
		return "No media yet.";
	}

	/** {@inheritDoc} */
	@Override
	protected String getTooltipString() {
		return "Create new media";
	}

	/** {@inheritDoc} */
	@Override
	public void addElement(Media element) {
		getEntity().addMedia(element);
	}

	/** {@inheritDoc} */
	@Override
	public void removeElement(Media element) {
		getEntity().removeMedia(element);
	}

}
