// $Id$
/**
* Copyright (C) 2009 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.ui.section.vocabulary;

import org.eclipse.jface.viewers.ISelectionProvider;
import org.eclipse.ui.forms.widgets.TableWrapLayout;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.common.DefinedTermBase;
import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory.DetailType;
import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailSection;

/**
 * @author l.morris
 * @date 4 Jan 2012
 *
 */
public class DefinedTermDetailSection<T extends DefinedTermBase> extends AbstractCdmDetailSection<T> {

	/**
	 * @param formFactory
	 * @param definedTermClass 
	 * @param conversation
	 * @param parentElement
	 * @param selectionProvider
	 * @param style
	 */
	public DefinedTermDetailSection(CdmFormFactory formFactory,
			Class<T> definedTermClass, ConversationHolder conversation, ICdmFormElement parentElement,
			ISelectionProvider selectionProvider, int style) {
		super(formFactory, definedTermClass, conversation, parentElement, selectionProvider, style);
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailSection#getDetailType()
	 */
	@Override
	protected DetailType getDetailType() {
		return null;
	}
	
	@Override
	protected void createControlsByType(
			AbstractCdmDetailSection<T> abstractCdmDetailSection,
			Class<T> clazz, int style) {
		TableWrapLayout layout = (TableWrapLayout) getLayoutComposite()
				.getLayout();
		layout.topMargin = 10;
		layout.numColumns = 2;

		getLayoutComposite().setLayout(layout);
		detailElement = formFactory.createDefinedTermDetailElement(clazz,
				abstractCdmDetailSection, style);
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailSection#getHeading()
	 */
	@Override
	public String getHeading() {
		return "Defined Term: "+ (getEntity() != null ? getEntity().getLabel() : "");
	}

}
