// $Id$
/**
* Copyright (C) 2009 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.ui.section.vocabulary;

import java.net.URISyntaxException;

import eu.etaxonomy.cdm.model.common.TermVocabulary;
import eu.etaxonomy.taxeditor.store.StoreUtil;
import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.element.UriWithLabelElement;

/**
 * @author l.morris
 * @date 20 Dec 2011
 *
 */
public class TermVocabularyDetailElement extends AbstractTermBaseDetailElement<TermVocabulary> {

	private UriWithLabelElement uri_uriTermSource;
	/**
	 * @param formFactory
	 * @param formElement
	 */
	public TermVocabularyDetailElement(CdmFormFactory formFactory,
			ICdmFormElement formElement) {
		super(formFactory, formElement);
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement#createControls(eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement, java.lang.Object, int)
	 */
	@Override
	protected void createControls(ICdmFormElement formElement,
			TermVocabulary entity, int style) {
		
		super.createControls(formElement, entity, style);
		uri_uriTermSource = formFactory.createUriWithLabelElement(formElement, "Term Source URI", getEntity().getTermSourceUri(), style);
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement#handleEvent(java.lang.Object)
	 */
	@Override
	public void handleEvent(Object eventSource) {
		
		handleRepresentation(eventSource);
		
		if (eventSource == uri_uri) {
			try {
				getEntity().setUri(uri_uri.getUri());
			} catch (URISyntaxException e) {
				StoreUtil.errorDialog("Not a URI", getClass(), "You have to provide a valid URI");
			}
		} else if (eventSource == uri_uriTermSource) {
			try {
				getEntity().setTermSourceUri(uri_uriTermSource.getUri());
			} catch (URISyntaxException e) {
				StoreUtil.errorDialog("Not a URI", getClass(), "You have to provide a valid URI");
			}
		}
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.ui.section.vocabulary.AbstractTermBaseDetailElement#getVocabularyMarkers()
	 */
	@Override
	public TermVocabulary getVocabulary() {
		return getEntity();
	}

}
