// $Id$
/**
 * Copyright (C) 2007 EDIT
 * European Distributed Institute of Taxonomy 
 * http://www.e-taxonomy.eu
 * 
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */

package eu.etaxonomy.taxeditor.view.datasource.handler;

import org.eclipse.core.expressions.PropertyTester;
import org.eclipse.jface.viewers.IStructuredSelection;

import eu.etaxonomy.taxeditor.view.datasource.CdmMetaDataAwareDataSourceContainer;

/**
 * <p>DataSourceMenuPropertyTester class.</p>
 *
 * @author n.hoffmann
 * @created Sep 23, 2010
 * @version 1.0
 */
public class DataSourceMenuPropertyTester extends PropertyTester {

	private static final String COMPATIBLE = "isCompatible";

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.core.expressions.IPropertyTester#test(java.lang.Object,
	 * java.lang.String, java.lang.Object[], java.lang.Object)
	 */
	/** {@inheritDoc} */
	@Override
	public boolean test(Object receiver, String property, Object[] args,
			Object expectedValue) {

		Object[] selectedElements = ((IStructuredSelection) receiver).toArray();

		if (selectedElements.length == 0) {
			// nothing selected so all tests should fail
			return false;
		}

		if (COMPATIBLE.equals(property)) {
			return isCompatible(selectedElements);
		}
		

		return false;
	}



	/**
	 * @param selectedElements
	 * @return
	 */
	private boolean isCompatible(Object[] selectedElements) {
		for (Object object : selectedElements) {

			if (object instanceof CdmMetaDataAwareDataSourceContainer) {
				CdmMetaDataAwareDataSourceContainer container = (CdmMetaDataAwareDataSourceContainer) object;
				return container.isDataSourceCompatible();
			}
		}
		return false;
	}
}
