/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.store;


import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.common.DefaultTermInitializer;
import eu.etaxonomy.cdm.model.name.NonViralName;
import eu.etaxonomy.cdm.model.name.Rank;

/**
 * @author n.hoffmann
 * @created 17.03.2009
 * @version 1.0
 */
//@Transactional(TransactionMode.DISABLED)
public class NameProtectTitleCacheTest /*extends CdmIntegrationTest */{

//	@SpringBeanByType
	@SuppressWarnings("unused")
	private CdmStore cdmStore;// = CdmStore.getDefault();
	
	
	@SuppressWarnings("unused")
	private ConversationHolder conversation;

	private NonViralName<?> name;
	
	/**
	 * @throws java.lang.Exception
	 */
	@Before
	public void setUp() throws Exception {
		
		(new DefaultTermInitializer()).initialize();
		
		name = NonViralName.NewInstance(Rank.SPECIES());
		
		name.setGenusOrUninomial("Joe");
		name.setSpecificEpithet("mama");
	}
	
	/**
	 * 
	 */
	@Test
	public void testProtectTitleCache(){
		Assert.assertTrue(name.isProtectedTitleCache() == false);
		name.setProtectedTitleCache(true);
		Assert.assertTrue(name.isProtectedTitleCache() == true);
		Assert.assertTrue(name.getGenusOrUninomial().equals("Joe"));
	}
}
