/**
 * 
 */
package eu.etaxonomy.taxeditor.navigation.navigator.contextmenu;

import org.eclipse.swtbot.eclipse.finder.waits.Conditions;
import org.eclipse.swtbot.eclipse.finder.widgets.SWTBotView;
import org.eclipse.swtbot.swt.finder.widgets.SWTBotTree;
import org.junit.Before;
import org.junit.Test;

import eu.etaxonomy.taxeditor.test.AbstractEditorTest;
import eu.etaxonomy.taxeditor.test.ContextMenuHelper;

/**
 * @author n.hoffmann
 *
 */
public class ClassificationTest extends AbstractEditorTest {

	private SWTBotView navigatorView;
	private SWTBotTree tree;

	@Before
	public void setup() {
		super.setup();
		navigatorView = utils.view("Taxon Navigator");
		tree = utils.tree(navigatorView.getWidget());
	}
	
	@Test
	public void canDeleteClassification() throws Exception {
		tree.select(0);
		ContextMenuHelper.clickContextMenu(tree, "Delete");
		bot.waitUntil(Conditions.shellIsActive("Confirm Deletion"));
		utils.ok();
	}
	
	@Test
	public void canCreateClassification() throws Exception {
		tree.setFocus();
		ContextMenuHelper.clickContextMenu(tree, "New", "Classification");
		bot.waitUntil(Conditions.shellIsActive("New Entity"));
		bot.textWithLabel("Label").setText("Classification");
		utils.finish();
	}
}
